'       *** DIR.INC ***
'
'       Fairchild Computer Services
'       Route 5, Box 523-12
'       Wills Point, TX   75169
'       (903) 873-2114
'
'**************************** GENERAL NOTATIONS ***************************
'
'
'
'     This file INCludes the necessary definitions for using DIR.BAS.
'
'                               Enjoy!!                                -jmf
'
'
'
'**************************************************************************

  TYPE DirType
    EntryName       AS STRING * 12
    EntrySize       AS LONG
    EntryDate       AS LONG
    EntryTime       AS LONG
    ReadOnlyFlag    AS INTEGER
    HiddenFlag      AS INTEGER
    SystemFlag      AS INTEGER
    ArchiveFlag     AS INTEGER
    DirectoryFlag   AS INTEGER
    ErrorFlag       AS INTEGER
    ErrorDesc       AS STRING * 12
  END TYPE

  CONST True% = 1, False% = 0           'Initialize boolean values
  CONST null$ = ""                      'Null string
  CONST alphabet$ = "ABCDEFGHIJKLMNOPQRSTUVWXYZ"

  DECLARE FUNCTION ConvertDate$ (DateIn&) 'Function returns formatted date
  DECLARE FUNCTION ConvertSize$ (SizeIn&) 'Function returns formatted size
  DECLARE FUNCTION ConvertTime$ (TimeIn&) 'Function returns formatted time
  DECLARE FUNCTION CurrentDevice$ ()    'Function returns current device:
  DECLARE FUNCTION CurrentDir$ ()       'Function returns current drive:dir
  DECLARE FUNCTION Dir$ (file$)         'Function to return directory entry
  DECLARE FUNCTION DirCount% (file$)    'Function to count matching searches
  DECLARE FUNCTION DirError$ (Code%)    'Returns dir error as string
  DECLARE FUNCTION DTABit% (BitNumber%) 'Get bit val in Data Transmission Area
  DECLARE FUNCTION MaskIt$ (text$, length%, editstring$) 'Mask an input string

  COMMON SHARED DirRecord AS DirType

